Wireless with RT3090 chipset does not work in Precise Pangolin

Bug #978047 reported by Tony Mugan on 2012-04-10
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have a Sony Vaio laptop with an rt3090 wifi adapter built-in.

It does not work in Precise Pangolin Beta.

In older versions of Ubuntu, I was able to use a PPA which repackaged the manufacturer's drivers.
To get it to work, I also had to blacklist a series of drivers in Ubuntu.

These are no longer being packaged and the source as supplied does not compile against 3.x kernels.

The driver source is here
http://www.ralinktech.com/en/04_support/license.php?sn=5015

The PPA is here
https://launchpad.net/~markus-tisoft/+archive/rt3090

I have tried mainline kernel v3.4 rc2 and it works!!!

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-22-generic 3.2.0-22.35
ProcVersionSignature: Ubuntu 3.2.0-22.35-generic 3.2.14
Uname: Linux 3.2.0-22-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0-0ubuntu5
Architecture: i386
Date: Tue Apr 10 14:41:46 2012
HibernationDevice: RESUME=UUID=ff81ff76-cc67-4d4c-889e-a258704255b2
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
MachineType: Sony Corporation VPCM11M1E
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_IE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-22-generic root=UUID=4a5f3cb3-1070-4149-808e-8287cd0c22ed ro quiet splash vt.handoff=7
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-04-09 (0 days ago)
dmi.bios.date: 05/12/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0120Z4
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0120Z4:bd05/12/2010:svnSonyCorporation:pnVPCM11M1E:pvrC6U1DRVV:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCM11M1E
dmi.product.version: C6U1DRVV
dmi.sys.vendor: Sony Corporation

Tony Mugan (tmugan) wrote :
Brad Figg (brad-figg) on 2012-04-10
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc2-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Tony Mugan (tmugan) wrote :

I have tried this mainline kernel and it works!!! v3.4 rc2

Is it likely to be backported to 3.2 or should I test against a different mainline kernel?
What is likely to be in the release version of Precise?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Tony Mugan (tmugan) on 2012-04-11
tags: added: kernel-fixed-upstream
removed: needs-upstream-testing

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-23.36
Changed in linux (Ubuntu):
status: Incomplete → Triaged

Hi Tony,

After booting with the v3.4-rc2 upstream kernel, can capture and attach your dmesg output as well as the output of 'sudo lspci -vnvn', ie. from a Terminal, run the following commands:

1) dmesg > dmesg.log
2) sudo lspci -vnvn > lspci-vnvn.log

Please attach the resulting dmesg.log and lspci-vnvn.log files. Thanks.

tags: added: kernel-da-key
Brad Figg (brad-figg) on 2012-04-11
tags: added: kernel-wifi
Tony Mugan (tmugan) wrote :

As requested, Leann

Tony Mugan (tmugan) wrote :
Tony Mugan (tmugan) wrote :

I have also tested against the latest kernel 3.2.0-23 and can confirm that wifi does NOT work for me.

So the fix was after 3.2.0-23.

Hi Tony,

Could you actually capture and attach your dmesg output immediately after a fresh boot into 3.4-rc2. I basically want to see when the rt2800pci driver is loading for comparison between the working and non-working kernels.

I'd also suggest you completely remove the rt3090sta you were using, just to make sure there is no weird interaction going on. After doing that and confirming the issue still exists, try giving the following test kernel a try:

http://people.canonical.com/~ogasawara/lp978047/i386/

I cherry-picked 2 upstream patches for the above test kernel:

commit 09a3311c1a061bda809ff78c512855f3b71dcd6b
Author: Jakub Kicinski <email address hidden>
Date: Wed Feb 22 21:58:57 2012 +0100

    rt2800: Add documentation on MCU requests

commit e8b461c37717d6b5c071c4924845884a86c20752
Author: Jakub Kicinski <email address hidden>
Date: Wed Feb 22 21:58:58 2012 +0100

    rt2800pci: Fix 'Error - MCU request failed' during initialization

Gary M (garym) on 2012-04-13
tags: added: rt3090
Tony Mugan (tmugan) wrote :

Leann,

Sorry about the delay but I am testing this via teamviewer between Sydney, Australia and Dublin, Ireland so the timezone difference comes into play :)

Here is the dmesg output straight after a fresh boot into 3.4-rc2.

As for the patched kernel, I am afraid it did not work for me.

Thanks for your help with this,

Cheers,

Tony.

Does not affect mainline.

tags: added: bot-stop-nagging
removed: kernel-request-3.2.0-23.36
Changed in linux:
status: New → Invalid
description: updated
Tony Mugan (tmugan) wrote :

Christopher,

I'm not sure what just happened?

Does my testing show something that rendered this an invalid bug?
Does your testing show something that rendered this an invalid bug?

Would like to understand since from my perspective it looks quite real.

Regards,

Tony.

Tony, the upstream task is Invalid because it is not an upstream bug, as you reported this not being an issue in the mainline kernel. As you will notice at the top of the bug report, the downstream task linux (Ubuntu) is still Triaged Medium.

Tony Mugan (tmugan) wrote :

Thanks for the explanation, Christopher.

Much appreciated.

Some of the workings of Launchpad are still a mystery to me :)

Gary M (garym) wrote :

As a comparison, using the inbuilt rt3090 on an Asus Eeepc 1001HA/1005, the stock Precise liveCD drivers worked for me. Attached lspci output.

tags: removed: rt3090
Ro (lianenronald) wrote :

I can confirm that it works with kernel v3.4-rc2 on a Compaq CQ10-400 netbook with the rt3090 chipset now. Thanks as I didn't find a way of solving this problem in 11.10 for the last half year.

First I was disappointed that this fix didn't work, but the using "inSSIDer" (under Windows) I found another problem: the wifi router did use a very busy channel. When fixed it worked good, however before this fix windows has less problems with the connection as Ubuntu. Often my own wifi was often not listed, although it has by far the strongest signal. So there is some room for improvement although I don't know if this is caused by the kernel.

Many thanks for the fix.

Ro, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

tags: added: bios-outdated-r0130z4

Tony Mugan, This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please just make a comment to this.

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.